[SSH Keys] Add a new SSH key
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/ssh-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"public_key": "<string>",
"is_active": true
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/ssh-keys"
payload = {
"name": "<string>",
"public_key": "<string>",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', public_key: '<string>', is_active: true})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/ssh-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Compute
[SSH Keys] Add a new SSH key
Register a new SSH public key in the project. The key can then be added to compute instances during creation or later to enable secure SSH access. Only the public key portion should be provided.
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
ssh-keys
[SSH Keys] Add a new SSH key
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Body
application/json
Response
SSH key created successfully
⌘I

